<?php

/////////////////////////////////////////////////////////////////////////////
// General information
/////////////////////////////////////////////////////////////////////////////

$app['basename'] = 'amibios';
$app['version'] = '1.0.15';
$app['vendor'] = 'ClearCenter';
$app['packager'] = 'ClearCenter';
$app['license'] = 'Proprietary';
$app['license_core'] = 'Proprietary';
$app['description'] = lang('amibios_app_description');

/////////////////////////////////////////////////////////////////////////////
// App name and categories
/////////////////////////////////////////////////////////////////////////////

$app['name'] = lang('amibios_app_name');
$app['category'] = lang('base_category_server');
$app['subcategory'] = lang('base_subcategory_management');

/////////////////////////////////////////////////////////////////////////////
// Controllers
/////////////////////////////////////////////////////////////////////////////

$app['controllers']['amibios']['title'] = $app['name'];
$app['controllers']['firmware']['title'] = lang('amibios_firmware');

/////////////////////////////////////////////////////////////////////////////
// Packaging
/////////////////////////////////////////////////////////////////////////////

$app['core_requires'] = array(
    'app-network-core',
    'clearos-framework >= 7.5.31',
    'dmidecode',
    'unzip',
);

$app['core_directory_manifest'] = array(
    '/var/clearos/amibios' => array(),
    '/var/clearos/amibios/backup' => array(),
    '/var/clearos/amibios/uploads' => array(),
    '/var/clearos/amibios/firmware' => array(),
    '/var/clearos/amibios/extract' => array(),
    '/var/clearos/amibios/bin' => array(),
);
